RARP(8)

BEZEICHNUNG
rarp - Bearbeitung der RARP-Tabellen des Systems

ÜBERSICHT
rarp [-V] [--version] [-h] [--help]
rarp -a
rarp [-v] -d Rechnername …
rarp [-v] [-t type] -s Rechnername HW_Adr

ANMERKUNGEN

Dieses Programm ist veraltet. Seit Version 2.3 enthält der Linux-Kernel keine Unterstützung für RARP mehr. Sie finden einen Ersatz für den RARP-Daemon unter ftp://ftp.dementia.org/pub/net-tools.

BESCHREIBUNG
Rarp kann die RARP-Tabelle des Kernels auf verschiedene Arten manipulieren. Die wichtigsten Anwendungen sind das Löschen und manuelle Erstellen von Adress-Abbildungs-Einträgen. Zur Fehlersuche kann rarp die RARP-Tabelle vollständig ausgeben.

OPTIONEN

-V  Zeigt die benutzte Version Version von RARP an.

-v  Ausführliche Ausgaben.

-t Typ
    Beim Auslesen oder Setzen der RARP-Tabelle teilt dieses optionale Argument rarp mit, welche Klasse von Einträgen es prüfen soll. Die Voreinstellung für diesen Wert ist ether (z.B. Hardwarecode 0x01 für IEEE 802.3 10Mbps Ethernet . Andere Werte können Netzwerktechniken wie z.B. AX.25 (ax25) und NET/ROM (netrom) sein.

-a

--list
    Gibt die Einträge der RARP-Tabelle aus.

-d Rechnername

--delete Rechnername
    Enterft alle RARP-Einträge für den angegebenen Rechner.

-s Rechnername HW_Adr

--set hostname HW_Adr
    Erzeugt einen Adressabbildungs-Eintrag in der RARP-Tabelle für den Rechner Rechnername dessen Hardwareadresse auf hw_addr gesetzt ist. Das Format der Hardware-Adresse ist von der Hardwareklasse abhängig. Für die meisten Hardwareklassen wird die übliche Darstellung verwendet. Für die Ethernetklasse sind dies sechs hexadezimale, durch Doppelpunkte getrennte Byte.

WARNUNG
Einige Systeme, insbesondere alte Suns, gehen davon aus, dass das System, das RARP-Anfragen beantwortet, auch weitere Systemstartdienste anbietet. Deshalb sollten niemals einfach beliebige RARP-Einträge erzeugt werden, außer Sie möchten einen weißglühenden Netzwerkverwalter live erleben.

DATEIEN
/proc/net/rarp,

SIEHE AUCH
arp(8), route(8), ifconfig(8), netstat(8)

AUTOREN
Ross D. Martin, <martin@trcsun3.eas.asu.edu>
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
Phil Blundell, <Philip.Blundell@pobox.com>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Ralf Bächle <ralf@linux-mips.org>. und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.